org.apache.ivy.plugins.signer

## Interface SignatureGenerator

All Known Implementing Classes:
  OpenPGPSignatureGenerator

    public interface SignatureGenerator

### Method Summary

Methods
`java.lang.String` `getExtension()`
`java.lang.String` `getName()`
`void` `sign(java.io.File src, java.io.File dest)`

### Method Detail

#### getName

    java.lang.String getName()

#### sign

    void sign(java.io.File src,
            java.io.File dest)
              throws java.io.IOException

Throws:
  `java.io.IOException`

#### getExtension

    java.lang.String getExtension()